Please include translations from Launchpad in the package

Reported by Arne Goetje on 2010-04-14
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Medium
Unassigned
pkgbinarymangler (Ubuntu)
Undecided
Unassigned
update-notifier (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: update-notifier

On a fresh installed system when internet access was not available during installation, a update-notifier window pops up and asks the user to run language-selector in order to install missing translation packages. Some string in this window come from the update-notifier package, but since the language-packs for the chosen language are not installed yet, some parts, like the 'Run this action now' button, are shown in English, while the rest of the window has been translated in the language-selector package.

Therefor, please include the translations from Launchpad directly into the package instead of relying on the language-packs to carry the translations.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: update-notifier 0.99.2
ProcVersionSignature: Ubuntu 2.6.32-20.30-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic i686
Architecture: i386
Date: Wed Apr 14 17:17:01 2010
EcryptfsInUse: Yes
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=de_DE.utf8
 SHELL=/bin/bash
SourcePackage: update-notifier

Arne Goetje (arnegoetje) wrote :
Changed in update-notifier (Ubuntu):
importance: Undecided → Medium
milestone: none → ubuntu-10.04
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Changed in update-notifier (Ubuntu):
status: New → In Progress
David Planella (dpm) wrote :

HX_unbanned,

Thanks for your help in triaging bugs. Please try not to change the status of bugs unless necessary, which generates a lot of unnecessary mail traffic and confuses everyone subscribed.

I'd recommend you to set the bug status to "In Progress" if you are really going to work on a fix for a particular issue, or if you know for certain that a particular person or team is going to work on it, at which point, the task should be assigned to whoever is working on it.

Changed in update-notifier (Ubuntu):
status: In Progress → Confirmed
Gabor Kelemen (kelemeng) wrote :

If we want this fixed, update-notifier should be added to the blacklist of pkgbinarymangler, as a first step.
Next step would be exporting the translations at nonlanguagepackfreeze and rebuilding the package.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pkgbinarymangler - 109

---------------
pkgbinarymangler (109) precise; urgency=low

  * striptranslations.blacklist: Fix libapt entries, these are regexps, not
    globs.
  * striptranslations.blacklist: Add update-notifier. (LP: #562900)
 -- Martin Pitt <email address hidden> Wed, 30 Nov 2011 07:58:02 +0100

Changed in pkgbinarymangler (Ubuntu):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Note that this change probably won't be effective yet. The blacklist in the buildds is apparently modified. I reported https://portal.admin.canonical.com/48439 a month ago about this, you can use that URL to track the status.

Gabor Kelemen (kelemeng) wrote :

Martin: thanks for the quick merge!
Unfortunately, this link says "Let me stop you right there", I suppose I should be a member of some elite group :(.

Gabor Kelemen (kelemeng) wrote :

The package now contains the translations. Now we need a translation export & rebuild, but that should/can wait until nonlangpackfreeze.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.119ubuntu8

---------------
update-notifier (0.119ubuntu8) precise; urgency=low

  * po/*.po:
    - updated to latest LP export to ensure that the translation-missing
      window information is actually translated (LP: #562900)
 -- Michael Vogt <email address hidden> Tue, 17 Apr 2012 16:32:08 +0200

Changed in update-notifier (Ubuntu):
status: Confirmed → Fix Released
Pierre Slamich (pierre-slamich) wrote :

Marking as fix released to align on package

Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers